--- title: "Get stage list" slug: "devtools-sourcedeploy-stagelist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-stagelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get stage list Available in Classic and VPC Get the list of deployment stages in a deployment project. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project/{projectId}/stage | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Project ID - See [Get project list](/docs/en/devtools-sourcedeploy-projectlist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `stageName` | String | Optional | Search keyword - Filter values that match the stage name in whole or in part. | | `pageNo` | Number | Optional | Page number - 1-N (default: 1) | | `pageSize` | Number | Optional | Number of items per page - 1-100 (default: 100) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/project/2***/stage' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.project` | Object | - | Project information | | `result.project.id` | Number | - | Project ID | | `result.project.name` | String | - | Project name | | `result.stageList` | Array | - | Stage list: [stageList](/docs/en/devtools-sourcedeploy-stagelist#stageList) | #### `stageList` The following describes `stageList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Deployment stage ID | | `name` | String | - | Deployment stage name | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "project": { "id": 2***, "name": "deploy3" }, "stageList": [ { "id": 3***, "name": "dev-sv" }, { "id": 3***, "name": "dev-ob" }, { "id": 3***, "name": "dev-nks" }, { "id": 3***, "name": "dev-asg" } ] } } ```